<?php
defined( 'ABSPATH' ) || exit;


/*
* Saving product field data for edit and update
* Since iBid 3.6.0
*/
add_action( 'dokan_new_product_added','save_add_product_meta', 10, 2 );
add_action( 'dokan_product_updated', 'save_add_product_meta', 10, 2 );
function save_add_product_meta($product_id, $postdata){
    if ( ! dokan_is_user_seller( get_current_user_id() ) ) {
        return;
    }

    if(isset($postdata['_auction'])){
        wp_set_object_terms( $product_id, 'auction', 'product_type' );
    }

    if(isset($postdata['_auction_item_condition'])){
        update_post_meta( $product_id, '_auction_item_condition', $postdata['_auction_item_condition'] );
    }
    if(isset($postdata['_auction_type'])){
        update_post_meta( $product_id, '_auction_type', $postdata['_auction_type'] );
    }
    if(isset($postdata['_auction_proxy'])){
        update_post_meta( $product_id, '_auction_proxy', 'yes' );
    }else{
        update_post_meta( $product_id, '_auction_proxy', 'no' );
    }
    if(isset($postdata['_auction_sealed'])){
        update_post_meta( $product_id, '_auction_sealed', 'yes' );
    }else{
        update_post_meta( $product_id, '_auction_sealed', 'no' );
    }
    if(isset($postdata['_auction_start_price'])){
        update_post_meta( $product_id, '_auction_start_price', $postdata['_auction_start_price'] );
    }
    if(isset($postdata['_auction_bid_increment'])){
        update_post_meta( $product_id, '_auction_bid_increment', $postdata['_auction_bid_increment'] );
    }
    if(isset($postdata['_auction_reserved_price'])){
        update_post_meta( $product_id, '_auction_reserved_price', $postdata['_auction_reserved_price'] );
    }
    if(isset($postdata['_regular_price'])){
        update_post_meta( $product_id, '_regular_price', $postdata['_regular_price'] );
    }
    if(isset($postdata['_sale_price'])){
        update_post_meta( $product_id, '_price', $postdata['_sale_price'] );
        update_post_meta( $product_id, '_sale_price', $postdata['_sale_price'] );
    }
    if(isset($postdata['_auction_dates_from'])){
        update_post_meta( $product_id, '_auction_dates_from', $postdata['_auction_dates_from'] );
    }
    if(isset($postdata['_auction_dates_to'])){
        update_post_meta( $product_id, '_auction_dates_to', $postdata['_auction_dates_to'] );
    }

    // RELIST OPTIONS
    if(isset($postdata['_auction_automatic_relist'])){
        update_post_meta( $product_id, '_auction_automatic_relist', 'yes' );
    }else{
        update_post_meta( $product_id, '_auction_automatic_relist', 'no' );
    }
    if(isset($postdata['_auction_relist_fail_time'])){
        update_post_meta( $product_id, '_auction_relist_fail_time', $postdata['_auction_relist_fail_time'] );
    }
    if(isset($postdata['_auction_relist_not_paid_time'])){
        update_post_meta( $product_id, '_auction_relist_not_paid_time', $postdata['_auction_relist_not_paid_time'] );
    }
    if(isset($postdata['_auction_relist_duration'])){
        update_post_meta( $product_id, '_auction_relist_duration', $postdata['_auction_relist_duration'] );
    }

    //CHARITY META
    if(isset($postdata['product_cause'])){
        update_post_meta( $product_id, 'product_cause', $postdata['product_cause'] );
    }
    //PDF Attach
    if(isset($postdata['ibid_pdf_attach'])){
        update_post_meta( $product_id, 'ibid_pdf_attach', $postdata['ibid_pdf_attach'] );
    }
    

    // ULTIMATE AUCTIONS CUSTOM FIELDS SAVE
    if(isset($postdata['woo_ua_product_condition'])){
        update_post_meta( $product_id, 'woo_ua_product_condition', $postdata['woo_ua_product_condition'] );
    }
    if(isset($postdata['woo_ua_opening_price'])){
        update_post_meta( $product_id, 'woo_ua_opening_price', $postdata['woo_ua_opening_price'] );
    }
    if(isset($postdata['woo_ua_bid_increment'])){
        update_post_meta( $product_id, 'woo_ua_bid_increment', $postdata['woo_ua_bid_increment'] );
    }
    if(isset($postdata['woo_ua_lowest_price'])){
        update_post_meta( $product_id, 'woo_ua_lowest_price', $postdata['woo_ua_lowest_price'] );
    }
    if(isset($postdata['_regular_price'])){
        update_post_meta( $product_id, '_regular_price', $postdata['_regular_price'] );
    }
    if(isset($postdata['woo_ua_auction_end_date'])){
        update_post_meta( $product_id, 'woo_ua_auction_end_date', $postdata['woo_ua_auction_end_date'] );
        update_post_meta( $product_id, 'woo_ua_auction_started', '1' );
        update_post_meta( $product_id, 'woo_ua_auction_has_started', '1' );
    }

    // YITH Auctions - Since iBid 3.5
    if (function_exists('YITH_Auctions') ) {
        // row 1
        if(isset($postdata['_yith_wcact_item_condition'])){
            update_post_meta( $product_id, '_yith_wcact_item_condition', $postdata['_yith_wcact_item_condition'] );
        }
        if(isset($postdata['_yith_wcact_auction_type'])){
            update_post_meta( $product_id, '_yith_wcact_auction_type', $postdata['_yith_wcact_auction_type'] );
        }
        if(isset($postdata['_yith_wcact_auction_sealed'])){
            update_post_meta( $product_id, '_yith_wcact_auction_sealed', 'yes' );
        }else{
            update_post_meta( $product_id, '_yith_wcact_auction_sealed', 'no' );
        }
        // row 2
        if(isset($postdata['_yith_auction_start_price'])){
            update_post_meta( $product_id, '_yith_auction_start_price', $postdata['_yith_auction_start_price'] );
        }
        if(isset($postdata['_yith_auction_minimum_increment_amount'])){
            update_post_meta( $product_id, '_yith_auction_minimum_increment_amount', $postdata['_yith_auction_minimum_increment_amount'] );
        }
        if(isset($postdata['_yith_auction_reserve_price'])){
            update_post_meta( $product_id, '_yith_auction_reserve_price', $postdata['_yith_auction_reserve_price'] );
        }
        if(isset($postdata['_yith_auction_buy_now'])){
            update_post_meta( $product_id, '_yith_auction_buy_now', $postdata['_yith_auction_buy_now'] );
        }
        // row 3
        if(isset($postdata['_yith_auction_for'])){
            $date_for_unix = strtotime(date($postdata['_yith_auction_for']));
            update_post_meta( $product_id, '_yith_auction_for', $date_for_unix );
        }
        if(isset($postdata['_yith_auction_to'])){
            $date_to_unix = strtotime(date($postdata['_yith_auction_to']));
            update_post_meta( $product_id, '_yith_auction_to', $date_to_unix );
        }

        // Advanced #1
        if(isset($postdata['_yith_auction_bid_type_onoff'])){
            update_post_meta( $product_id, '_yith_auction_bid_type_onoff', 'yes' );
        }else{
            update_post_meta( $product_id, '_yith_auction_bid_type_onoff', 'no' );
        }
        if(isset($postdata['_yith_wcact_bid_type_set_radio'])){
            update_post_meta( $product_id, '_yith_wcact_bid_type_set_radio', $postdata['_yith_wcact_bid_type_set_radio'] );
        }
        if(isset($postdata['_yith_wcact_bid_type_radio'])){
            update_post_meta( $product_id, '_yith_wcact_bid_type_radio', $postdata['_yith_wcact_bid_type_radio'] );
        }
        if(isset($postdata['ywcact_automatic_product_bid_simple'])){
            update_post_meta( $product_id, 'ywcact_automatic_product_bid_simple', $postdata['ywcact_automatic_product_bid_simple'] );
        }
        // Advanced #2
        if(isset($postdata['_yith_auction_fee_onoff'])){
            update_post_meta( $product_id, '_yith_auction_fee_onoff', 'yes' );
        }else{
            update_post_meta( $product_id, '_yith_auction_fee_onoff', 'no' );
        }
        if(isset($postdata['_yith_auction_fee_ask_onoff'])){
            update_post_meta( $product_id, '_yith_auction_fee_ask_onoff', 'yes' );
        }else{
            update_post_meta( $product_id, '_yith_auction_fee_ask_onoff', 'no' );
        }
        if(isset($postdata['_yith_auction_fee_amount'])){
            update_post_meta( $product_id, '_yith_auction_fee_amount', $postdata['_yith_auction_fee_amount'] );
        }
        // Advanced #3
        if(isset($postdata['_yith_auction_reschedule_onoff'])){
            update_post_meta( $product_id, '_yith_auction_reschedule_onoff', 'yes' );
        }else{
            update_post_meta( $product_id, '_yith_auction_reschedule_onoff', 'no' );
        }
        if(isset($postdata['_yith_auction_reschedule_closed_without_bids_onoff'])){
            update_post_meta( $product_id, '_yith_auction_reschedule_closed_without_bids_onoff', 'yes' );
        }else{
            update_post_meta( $product_id, '_yith_auction_reschedule_closed_without_bids_onoff', 'no' );
        }
        if(isset($postdata['_yith_auction_reschedule_reserve_no_reached_onoff'])){
            update_post_meta( $product_id, '_yith_auction_reschedule_reserve_no_reached_onoff', 'yes' );
        }else{
            update_post_meta( $product_id, '_yith_auction_reschedule_reserve_no_reached_onoff', 'no' );
        }
        if(isset($postdata['_yith_wcact_auction_automatic_reschedule'])){
            update_post_meta( $product_id, '_yith_wcact_auction_automatic_reschedule', $postdata['_yith_wcact_auction_automatic_reschedule'] );
        }
        if(isset($postdata['_yith_wcact_automatic_reschedule_auction_unit'])){
            update_post_meta( $product_id, '_yith_wcact_automatic_reschedule_auction_unit', $postdata['_yith_wcact_automatic_reschedule_auction_unit'] );
        }
        // Advanced #4
        if(isset($postdata['_yith_auction_overtime_onoff'])){
            update_post_meta( $product_id, '_yith_auction_overtime_onoff', 'yes' );
        }else{
            update_post_meta( $product_id, '_yith_auction_overtime_onoff', 'no' );
        }
        if(isset($postdata['_yith_auction_overtime_set_onoff'])){
            update_post_meta( $product_id, '_yith_auction_overtime_set_onoff', 'yes' );
        }else{
            update_post_meta( $product_id, '_yith_auction_overtime_set_onoff', 'no' );
        }
        if(isset($postdata['_yith_check_time_for_overtime_option'])){
            update_post_meta( $product_id, '_yith_check_time_for_overtime_option', $postdata['_yith_check_time_for_overtime_option'] );
        }
        if(isset($postdata['_yith_overtime_option'])){
            update_post_meta( $product_id, '_yith_overtime_option', $postdata['_yith_overtime_option'] );
        }
    }

}
