<?php 
defined( 'ABSPATH' ) || exit;

/*
 * Return fallback plugin version by slug
 * @param string plugin_slug
 * @return string plugin version by slug
 */
function ibid_fallback_plugin_version($plugin_slug = ''){
	$plugins = array(
	    "modeltheme-framework-ibid" => "3.5.9",
	    "js_composer" => "6.10.0",
	    "revslider" => "6.6.8",
	    "woocommerce-simple-auctions" => "2.0.18",
	    "parallax-backgrounds-for-vc" => "4.5",
	    "essential-grid" => "3.0.15",
	);

	return $plugins[$plugin_slug];
}

/*
 * Return plugin version by slug from remote json
 * @param string plugin_slug
 * @return string plugin version by slug
 */
function ibid_plugin_version($plugin_slug = ''){
    // check if the transient did not expire
    if(($value = get_transient( $plugin_slug."_cache" )) === false) {
        
        $request = wp_remote_get('https://modeltheme.com/json/plugin_versions.json');
        $plugin_versions = json_decode(wp_remote_retrieve_body($request), true);

        // save to cache and return
        set_transient($plugin_slug."_cache",$plugin_versions,3600);

        return ibid_fallback_plugin_version($plugin_slug);
    }

    // return from cache
    return $value[0][$plugin_slug];
}