<?php 
$responsive_headings =  array(
    'icon' => 'el el-fontsize',
    'title'      => esc_html__( 'Responsive Typography', 'ibid' ),
    'id'         => 'ibid_styling_typography_responsive',
    'subsection' => true,
    'fields'     => array(
        array(
            'id'   => 'ibid_divider_responsive_h_tablets',
            'type' => 'info',
            'class' => 'ibid_divider',
            'desc' => wp_kses_post( '<h3>Headings Typography on Tablets (Medium Resolution Devices)</h3>' )
        ),
        array(
            'id'          => 'ibid_heading_h1_tablets',
            'type'        => 'typography', 
            'title'       => esc_html__('Heading H1 Font size - Tablets', 'ibid'),
            'google'      => true, 
            'font-backup' => true,
            'color'       => false,
            'text-align'  => false,
            'letter-spacing'  => false,
            'line-height'  => true,
            'font-weight'  => false,
            'font-size'   => true,
            'font-style'  => false,
            'font-family'  => false,
            'subsets'     => false,
            'units'       =>'px',
            'default'     => array(
                'font-size' => '28px', 
                'line-height' => '32px', 
            ),
        ),
        array(
            'id'          => 'ibid_heading_h2_tablets',
            'type'        => 'typography', 
            'title'       => esc_html__('Heading H2 Font size - Tablets', 'ibid'),
            'google'      => true, 
            'font-backup' => true,
            'color'       => false,
            'text-align'  => false,
            'letter-spacing'  => false,
            'line-height'  => true,
            'font-weight'  => false,
            'font-size'   => true,
            'font-style'  => false,
            'font-family'  => false,
            'subsets'     => false,
            'units'       =>'px',
            'default'     => array(
                'font-size' => '26px', 
                'line-height' => '30px', 
            ),
        ),
        array(
            'id'          => 'ibid_heading_h3_tablets',
            'type'        => 'typography', 
            'title'       => esc_html__('Heading H3 Font size - Tablets', 'ibid'),
            'google'      => true, 
            'font-backup' => true,
            'color'       => false,
            'text-align'  => false,
            'letter-spacing'  => false,
            'line-height'  => true,
            'font-weight'  => false,
            'font-size'   => true,
            'font-style'  => false,
            'font-family'  => false,
            'subsets'     => false,
            'units'       =>'px',
            'default'     => array(
                'font-size' => '24px', 
                'line-height' => '28px', 
            ),
        ),
        array(
            'id'          => 'ibid_heading_h4_tablets',
            'type'        => 'typography', 
            'title'       => esc_html__('Heading H4 Font size - Tablets', 'ibid'),
            'google'      => true, 
            'font-backup' => true,
            'color'       => false,
            'text-align'  => false,
            'letter-spacing'  => false,
            'line-height'  => true,
            'font-weight'  => false,
            'font-size'   => true,
            'font-family'  => false,
            'font-style'  => false,
            'subsets'     => false,
            'units'       =>'px',
            'default'     => array(
                'font-size' => '22px', 
                'line-height' => '26px', 
            ),
        ),
        array(
            'id'          => 'ibid_heading_h5_tablets',
            'type'        => 'typography', 
            'title'       => esc_html__('Heading H5 Font size - Tablets', 'ibid'),
            'google'      => true, 
            'font-backup' => true,
            'color'       => false,
            'text-align'  => false,
            'letter-spacing'  => false,
            'line-height'  => true,
            'font-weight'  => false,
            'font-size'   => true,
            'font-style'  => false,
            'font-family'  => false,
            'subsets'     => false,
            'units'       =>'px',
            'default'     => array(
                'font-size' => '20px', 
                'line-height' => '23px', 
            ),
        ),
        array(
            'id'          => 'ibid_heading_h6_tablets',
            'type'        => 'typography', 
            'title'       => esc_html__('Heading H6 Font size - Tablets', 'ibid'),
            'google'      => true, 
            'font-backup' => true,
            'color'       => false,
            'text-align'  => false,
            'letter-spacing'  => false,
            'line-height'  => true,
            'font-weight'  => false,
            'font-size'   => true,
            'font-style'  => false,
            'subsets'     => false,
            'font-family'  => false,
            'units'       =>'px',
            'default'     => array(
                'font-size' => '18px', 
                'line-height' => '21px', 
            ),
        ),
        array(
            'id'   => 'ibid_divider_responsive_h_smartphones',
            'type' => 'info',
            'class' => 'ibid_divider',
            'desc' => wp_kses_post( '<h3>Headings Typography on SmartPhones (Small Resolution Devices)</h3>' )
        ),
        array(
            'id'          => 'ibid_heading_h1_smartphones',
            'type'        => 'typography', 
            'title'       => esc_html__('Heading H1 Font size - Smartphones', 'ibid'),
            'google'      => true, 
            'font-backup' => true,
            'color'       => false,
            'text-align'  => false,
            'letter-spacing'  => false,
            'line-height'  => true,
            'font-weight'  => false,
            'font-size'   => true,
            'font-style'  => false,
            'font-family'  => false,
            'subsets'     => false,
            'units'       =>'px',
            'default'     => array(
                'font-size' => '26px', 
                'line-height' => '30px', 
            ),
        ),
        array(
            'id'          => 'ibid_heading_h2_smartphones',
            'type'        => 'typography', 
            'title'       => esc_html__('Heading H2 Font size - Smartphones', 'ibid'),
            'google'      => true, 
            'font-backup' => true,
            'color'       => false,
            'text-align'  => false,
            'letter-spacing'  => false,
            'line-height'  => true,
            'font-weight'  => false,
            'font-size'   => true,
            'font-style'  => false,
            'font-family'  => false,
            'subsets'     => false,
            'units'       =>'px',
            'default'     => array(
                'font-size' => '24px', 
                'line-height' => '28px', 
            ),
        ),
        array(
            'id'          => 'ibid_heading_h3_smartphones',
            'type'        => 'typography', 
            'title'       => esc_html__('Heading H3 Font size - Smartphones', 'ibid'),
            'google'      => true, 
            'font-backup' => true,
            'color'       => false,
            'text-align'  => false,
            'letter-spacing'  => false,
            'line-height'  => true,
            'font-weight'  => false,
            'font-size'   => true,
            'font-style'  => false,
            'font-family'  => false,
            'subsets'     => false,
            'units'       =>'px',
            'default'     => array(
                'font-size' => '22px', 
                'line-height' => '26px', 
            ),
        ),
        array(
            'id'          => 'ibid_heading_h4_smartphones',
            'type'        => 'typography', 
            'title'       => esc_html__('Heading H4 Font size - Smartphones', 'ibid'),
            'google'      => true, 
            'font-backup' => true,
            'color'       => false,
            'text-align'  => false,
            'letter-spacing'  => false,
            'line-height'  => true,
            'font-weight'  => false,
            'font-size'   => true,
            'font-family'  => false,
            'font-style'  => false,
            'subsets'     => false,
            'units'       =>'px',
            'default'     => array(
                'font-size' => '20px', 
                'line-height' => '24px', 
            ),
        ),
        array(
            'id'          => 'ibid_heading_h5_smartphones',
            'type'        => 'typography', 
            'title'       => esc_html__('Heading H5 Font size - Smartphones', 'ibid'),
            'google'      => true, 
            'font-backup' => true,
            'color'       => false,
            'text-align'  => false,
            'letter-spacing'  => false,
            'line-height'  => true,
            'font-weight'  => false,
            'font-size'   => true,
            'font-style'  => false,
            'font-family'  => false,
            'subsets'     => false,
            'units'       =>'px',
            'default'     => array(
                'font-size' => '18px', 
                'line-height' => '22px', 
            ),
        ),
        array(
            'id'          => 'ibid_heading_h6_smartphones',
            'type'        => 'typography', 
            'title'       => esc_html__('Heading H6 Font size - Smartphones', 'ibid'),
            'google'      => true, 
            'font-backup' => true,
            'color'       => false,
            'text-align'  => false,
            'letter-spacing'  => false,
            'line-height'  => true,
            'font-weight'  => false,
            'font-size'   => true,
            'font-style'  => false,
            'subsets'     => false,
            'font-family'  => false,
            'units'       =>'px',
            'default'     => array(
                'font-size' => '16px', 
                'line-height' => '20px', 
            ),
        ),
    ),
);